View Issue Details

IDProjectCategoryView StatusLast Update
0000011bareos-core[All Projects] storage daemonpublic2015-03-25 19:19
ReportermvwieringenAssigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
PlatformOpenIndianaOSOpenIndianaOS Versionb151a
Product Version13.4.0 
Target Version14.2.0Fixed in Version14.2.0 
Summary0000011: Implementation of Python StorageDaemon Plugin
DescriptionImplement a plugin that makes it possible to write Storage daemon plugins in Python.
Additional InformationStub plugin function is available that loads a python interpreter per plugin
instance. Need to link the plugin events to Python methods and allow the Python
code to call the plugin code do read and write plugin variables.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

maik

maik

2013-03-22 16:43

administrator   ~0000300

will be done, if time is available....
mvwieringen

mvwieringen

2013-12-09 15:17

developer   ~0000755

Fix committed to bareos master branch with changesetid 1366.
mvwieringen

mvwieringen

2015-03-25 16:51

developer   ~0001483

Fix committed to bareos2015 bareos-14.2 branch with changesetid 4969.
joergs

joergs

2015-03-25 19:19

administrator   ~0001635

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

Related Changesets

bareos: master 7c18ee65

2013-12-09 14:13:34

mvwieringen

Ported: N/A

Details Diff
Implementation of Python StorageDaemon Plugin

Implement a plugin that makes it possible to write Storage daemon plugins in Python.

Stub plugin function is available that loads a python interpreter per plugin
instance. Need to link the plugin events to Python methods and allow the Python
code to call the plugin code do read and write plugin variables.

Fixes 0000011: Implementation of Python StorageDaemon Plugin
Affected Issues
0000011
mod - src/plugins/stored/Makefile.in Diff File
add - src/plugins/stored/bareos-sd.py Diff File
add - src/plugins/stored/bareos_sd_consts.py Diff File
mod - src/plugins/stored/python-sd.c Diff File
add - src/plugins/stored/python-sd.h Diff File
mod - src/stored/sd_plugins.c Diff File
mod - src/stored/sd_plugins.h Diff File

bareos2015: bareos-14.2 ef167c70

2013-12-09 15:13:34

mvwieringen

Ported: N/A

Details Diff
Implementation of Python StorageDaemon Plugin

Implement a plugin that makes it possible to write Storage daemon plugins in Python.

Stub plugin function is available that loads a python interpreter per plugin
instance. Need to link the plugin events to Python methods and allow the Python
code to call the plugin code do read and write plugin variables.

Fixes 0000011: Implementation of Python StorageDaemon Plugin
Affected Issues
0000011
mod - src/plugins/stored/Makefile.in Diff File
add - src/plugins/stored/bareos-sd.py Diff File
add - src/plugins/stored/bareos_sd_consts.py Diff File
mod - src/plugins/stored/python-sd.c Diff File
add - src/plugins/stored/python-sd.h Diff File
mod - src/stored/sd_plugins.c Diff File
mod - src/stored/sd_plugins.h Diff File

Issue History

Date Modified Username Field Change
2012-12-07 21:04 mvwieringen New Issue
2012-12-10 14:00 maik Category General => storage daemon
2013-03-04 11:06 mvwieringen Product Version => 13.2.0
2013-03-04 11:06 mvwieringen Target Version => 13.2.0
2013-03-22 16:43 maik Status new => confirmed
2013-03-22 16:43 maik Note Added: 0000300
2013-06-05 13:03 mvwieringen Product Version 13.2.0 => 13.4.0
2013-06-05 13:03 mvwieringen Target Version 13.2.0 => 13.4.0
2013-10-08 09:05 mvwieringen Status confirmed => acknowledged
2013-12-09 15:17 mvwieringen Changeset attached => bareos master 7c18ee65
2013-12-09 15:17 mvwieringen Note Added: 0000755
2013-12-09 15:17 mvwieringen Assigned To => mvwieringen
2013-12-09 15:17 mvwieringen Status acknowledged => resolved
2013-12-09 15:17 mvwieringen Resolution open => fixed
2014-05-16 17:34 mvwieringen adm Assigned To mvwieringen =>
2014-05-16 17:34 mvwieringen adm Status resolved => closed
2014-05-16 17:34 mvwieringen adm Fixed in Version => 14.2.0
2014-05-16 17:34 mvwieringen adm Target Version 13.4.0 => 14.2.0
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 ef167c70
2015-03-25 16:51 mvwieringen Note Added: 0001483
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:19 joergs Note Added: 0001635
2015-03-25 19:19 joergs Status resolved => closed